name: libreoffice
services:
  app:
    cpu_shares: 90
    deploy:
      resources:
        limits:
          memory: 1866M
    environment:
      - PGID=1000
      - PUID=1000
      - TZ=America/Sao_Paulo
    image: linuxserver/libreoffice@sha256:7afaef6450316e3545dd96be9b793f0ff181b0049943eabe0f9f003ca6cee369
    labels:
      icon: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/libreoffice-logo.png
    network_mode: bridge
    networks:
      ? default
    ports:
      - target: 3000
        published: "3002"
        protocol: tcp
      - target: 3001
        published: "3001"
        protocol: tcp
    restart: unless-stopped
    volumes:
      - type: bind
        source: /DATA/AppData/libreoffice/config
        target: /config
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: for UserID
        - container: PGID
          description:
            en_us: for GroupID
        - container: TZ
          description:
            en_us: specify a timezone to use, see this list.
      ports:
        - container: "3000"
          description:
            en_us: "Container Port: 3000"
      volumes:
        - container: /config
          description:
            en_us: Appdata
    devices: []
    cap_add: []
    command: []
    privileged: false
    container_name: ""
networks:
  default:
    name: libreoffice_default
x-casaos:
  architectures:
    - amd64
    - arm
    - arm64
  author: WisdomSky
  category: Productivity
  description:
    en_us: "Visit homepage: https://hub.docker.com/r/linuxserver/libreoffice/"
  developer: LinuxServer.io
  hostname: ""
  icon: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/libreoffice-logo.png
  index: /
  main: app
  port_map: "3002"
  scheme: http
  store_app_id: libreoffice
  tagline:
    en_us: A free and powerful office suite, and a successor to OpenOffice.org
      (commonly known as OpenOffice). Its clean interface and feature-rich tools
      help you unleash your creativity and enhance your productivity.
  thumbnail: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/libreoffice-logo.png
  title:
    en_us: Libreoffice
